
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENPOS_PRINT_H
#define GENPOS_PRINT_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */


#include "genPosPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern void print_struct_GENPOS_STR ( FILE *out,
     struct GENPOS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRCART_GEO_PARAM ( FILE *out,
     struct GENPOS_TRCART_GEO_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRAILER_CONNECTION ( FILE *out,
     struct GENPOS_TRAILER_CONNECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRCART_REF ( FILE *out,
     struct GENPOS_TRCART_REF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRCART_STATE ( FILE *out,
     struct GENPOS_TRCART_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRCART_CONFIG ( FILE *out,
     struct GENPOS_TRCART_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRACK ( FILE *out,
     struct GENPOS_TRACK *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GENPOS_TRAILER_TYPE ( FILE *out,
     enum GENPOS_TRAILER_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_TRAJ_POINTS ( FILE *out,
     struct GENPOS_TRAJ_POINTS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GENPOS_TRACK_MODE ( FILE *out,
     enum GENPOS_TRACK_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_CMD_SPEED_PARAM ( FILE *out,
     struct GENPOS_CART_CMD_SPEED_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_CMD_PARAM ( FILE *out,
     struct GENPOS_CART_CMD_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_SPEED ( FILE *out,
     struct GENPOS_CART_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_REF ( FILE *out,
     struct GENPOS_CART_REF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GENPOS_DATA_TYPE ( FILE *out,
     enum GENPOS_DATA_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_enum_GENPOS_MOTION_DIRECTION ( FILE *out,
     enum GENPOS_MOTION_DIRECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_CONFIG_VAR ( FILE *out,
     struct GENPOS_CART_CONFIG_VAR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_CONFIG ( FILE *out,
     struct GENPOS_CART_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_CART_STATE ( FILE *out,
     struct GENPOS_CART_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_struct_GENPOS_POSTER_NAME ( FILE *out,
     struct GENPOS_POSTER_NAME *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void print_GENPOS_POSTER_NAME ( FILE *out,
     GENPOS_POSTER_NAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_STATE ( FILE *out,
     GENPOS_CART_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_CONFIG ( FILE *out,
     GENPOS_CART_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_CONFIG_VAR ( FILE *out,
     GENPOS_CART_CONFIG_VAR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_MOTION_DIRECTION ( FILE *out,
     GENPOS_MOTION_DIRECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_DATA_TYPE ( FILE *out,
     GENPOS_DATA_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_REF ( FILE *out,
     GENPOS_CART_REF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_SPEED ( FILE *out,
     GENPOS_CART_SPEED *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_CMD_PARAM ( FILE *out,
     GENPOS_CART_CMD_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_CART_CMD_SPEED_PARAM ( FILE *out,
     GENPOS_CART_CMD_SPEED_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRACK_MODE ( FILE *out,
     GENPOS_TRACK_MODE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRAJ_POINTS ( FILE *out,
     GENPOS_TRAJ_POINTS *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRAILER_TYPE ( FILE *out,
     GENPOS_TRAILER_TYPE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRACK ( FILE *out,
     GENPOS_TRACK *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRCART_CONFIG ( FILE *out,
     GENPOS_TRCART_CONFIG *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRCART_STATE ( FILE *out,
     GENPOS_TRCART_STATE *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRCART_REF ( FILE *out,
     GENPOS_TRCART_REF *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRAILER_CONNECTION ( FILE *out,
     GENPOS_TRAILER_CONNECTION *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_TRCART_GEO_PARAM ( FILE *out,
     GENPOS_TRCART_GEO_PARAM *x,
     int indent, int nDim, int *dims, FILE *in );
extern void print_GENPOS_STR ( FILE *out,
     GENPOS_STR *x,
     int indent, int nDim, int *dims, FILE *in );
#ifdef __cplusplus
}
#endif

#endif /* GENPOS_PRINT_H */

